---
Tournament:
  name: Camden County College Regional Tournament
  short name: Camden CC Regional
  location: Camden County College
  state: NJ
  level: Regionals
  division: B
  year: 2025
  medals: 6
  trophies: 6
  bids: 7
  start date: 2025-01-14
  end date: 2025-01-14
  awards date: 2025-01-14
Events:
- name: Air Trajectory
- name: Anatomy and Physiology
- name: Disease Detectives
- name: Dynamic Planet
- name: Entomology
- name: Experimental Design
- name: Fossils
- name: Meteorology
- name: Microbe Mission
- name: Scrambler
- name: Tower
- name: Wind Power
Teams:
- number: 2
  school: Bergen Arts and Science Charter School
  state: NJ
- number: 3
  school: Chapin School
  state: NJ
- number: 4
  school: Churchill Junior High School
  state: NJ
- number: 5
  school: Community Middle School
  state: NJ
- number: 6
  school: Darul Arqam School
  state: NJ
- number: 7
  school: Montgomery Upper Middle School
  state: NJ
- number: 8
  school: Noor-Ul-Iman School
  state: NJ
- number: 9
  school: Pond Road Middle School
  state: NJ
- number: 10
  school: Princeton Day School
  state: NJ
- number: 11
  school: Cranbury School
  state: NJ
- number: 12
  school: Thomas Edison EnergySmart Charter School
  state: NJ
- number: 13
  school: Voorhees Middle School
  state: NJ
Placings:
- team: 2
  event: Air Trajectory
  participated: true
- team: 2
  event: Anatomy and Physiology
  participated: false
- team: 2
  event: Disease Detectives
  place: 12
- team: 2
  event: Dynamic Planet
  place: 12
- team: 2
  event: Entomology
  place: 12
- team: 2
  event: Experimental Design
  place: 9
- team: 2
  event: Fossils
  participated: false
- team: 2
  event: Meteorology
  place: 10
- team: 2
  event: Microbe Mission
  place: 12
- team: 2
  event: Scrambler
  participated: false
- team: 2
  event: Tower
  participated: false
- team: 2
  event: Wind Power
  participated: false
- team: 3
  event: Air Trajectory
  participated: true
- team: 3
  event: Anatomy and Physiology
  place: 9
- team: 3
  event: Disease Detectives
  place: 11
- team: 3
  event: Dynamic Planet
  place: 6
- team: 3
  event: Entomology
  place: 2
- team: 3
  event: Experimental Design
  place: 2
- team: 3
  event: Fossils
  place: 5
- team: 3
  event: Meteorology
  place: 8
- team: 3
  event: Microbe Mission
  place: 10
- team: 3
  event: Scrambler
  place: 10
- team: 3
  event: Tower
  place: 7
- team: 3
  event: Wind Power
  place: 5
- team: 4
  event: Air Trajectory
  place: 3
- team: 4
  event: Anatomy and Physiology
  place: 3
- team: 4
  event: Disease Detectives
  place: 8
- team: 4
  event: Dynamic Planet
  place: 5
- team: 4
  event: Entomology
  place: 5
- team: 4
  event: Experimental Design
  place: 11
- team: 4
  event: Fossils
  place: 4
- team: 4
  event: Meteorology
  place: 9
- team: 4
  event: Microbe Mission
  place: 3
- team: 4
  event: Scrambler
  place: 1
- team: 4
  event: Tower
  place: 1
- team: 4
  event: Wind Power
  place: 3
- team: 5
  event: Air Trajectory
  place: 4
- team: 5
  event: Anatomy and Physiology
  place: 1
- team: 5
  event: Disease Detectives
  place: 1
- team: 5
  event: Dynamic Planet
  place: 2
- team: 5
  event: Entomology
  place: 3
- team: 5
  event: Experimental Design
  place: 4
- team: 5
  event: Fossils
  place: 2
- team: 5
  event: Meteorology
  place: 4
- team: 5
  event: Microbe Mission
  place: 1
- team: 5
  event: Scrambler
  place: 4
- team: 5
  event: Tower
  place: 3
- team: 5
  event: Wind Power
  place: 1
- team: 6
  event: Air Trajectory
  participated: true
- team: 6
  event: Anatomy and Physiology
  place: 4
- team: 6
  event: Disease Detectives
  place: 7
- team: 6
  event: Dynamic Planet
  place: 10
- team: 6
  event: Entomology
  place: 10
- team: 6
  event: Experimental Design
  place: 12
- team: 6
  event: Fossils
  place: 11
- team: 6
  event: Meteorology
  place: 7
- team: 6
  event: Microbe Mission
  place: 11
- team: 6
  event: Scrambler
  place: 5
- team: 6
  event: Tower
  place: 6
- team: 6
  event: Wind Power
  place: 10
- team: 7
  event: Air Trajectory
  place: 1
- team: 7
  event: Anatomy and Physiology
  place: 8
- team: 7
  event: Disease Detectives
  place: 3
- team: 7
  event: Dynamic Planet
  place: 1
- team: 7
  event: Entomology
  place: 8
- team: 7
  event: Experimental Design
  place: 1
- team: 7
  event: Fossils
  place: 1
- team: 7
  event: Meteorology
  place: 1
- team: 7
  event: Microbe Mission
  place: 7
- team: 7
  event: Scrambler
  place: 11
- team: 7
  event: Tower
  place: 9
- team: 7
  event: Wind Power
  place: 4
- team: 8
  event: Air Trajectory
  participated: true
- team: 8
  event: Anatomy and Physiology
  place: 10
- team: 8
  event: Disease Detectives
  place: 10
- team: 8
  event: Dynamic Planet
  place: 9
- team: 8
  event: Entomology
  place: 6
- team: 8
  event: Experimental Design
  place: 5
- team: 8
  event: Fossils
  place: 6
- team: 8
  event: Meteorology
  place: 12
- team: 8
  event: Microbe Mission
  place: 4
- team: 8
  event: Scrambler
  place: 3
- team: 8
  event: Tower
  place: 2
- team: 8
  event: Wind Power
  place: 2
- team: 9
  event: Air Trajectory
  place: 6
- team: 9
  event: Anatomy and Physiology
  place: 11
- team: 9
  event: Disease Detectives
  place: 6
- team: 9
  event: Dynamic Planet
  place: 3
- team: 9
  event: Entomology
  place: 9
- team: 9
  event: Experimental Design
  place: 10
- team: 9
  event: Fossils
  place: 10
- team: 9
  event: Meteorology
  place: 6
- team: 9
  event: Microbe Mission
  place: 9
- team: 9
  event: Scrambler
  place: 8
- team: 9
  event: Tower
  place: 4
- team: 9
  event: Wind Power
  place: 9
- team: 10
  event: Air Trajectory
  participated: true
- team: 10
  event: Anatomy and Physiology
  place: 6
- team: 10
  event: Disease Detectives
  place: 2
- team: 10
  event: Dynamic Planet
  place: 8
- team: 10
  event: Entomology
  place: 4
- team: 10
  event: Experimental Design
  place: 8
- team: 10
  event: Fossils
  place: 9
- team: 10
  event: Meteorology
  place: 5
- team: 10
  event: Microbe Mission
  place: 6
- team: 10
  event: Scrambler
  place: 7
- team: 10
  event: Tower
  place: 5
- team: 10
  event: Wind Power
  place: 6
- team: 11
  event: Air Trajectory
  participated: true
- team: 11
  event: Anatomy and Physiology
  place: 2
- team: 11
  event: Disease Detectives
  place: 4
- team: 11
  event: Dynamic Planet
  place: 11
- team: 11
  event: Entomology
  place: 11
- team: 11
  event: Experimental Design
  place: 3
- team: 11
  event: Fossils
  place: 7
- team: 11
  event: Meteorology
  place: 11
- team: 11
  event: Microbe Mission
  place: 8
- team: 11
  event: Scrambler
  place: 9
- team: 11
  event: Tower
  place: 8
- team: 11
  event: Wind Power
  place: 8
- team: 12
  event: Air Trajectory
  place: 5
- team: 12
  event: Anatomy and Physiology
  place: 5
- team: 12
  event: Disease Detectives
  place: 9
- team: 12
  event: Dynamic Planet
  place: 4
- team: 12
  event: Entomology
  place: 1
- team: 12
  event: Experimental Design
  place: 6
- team: 12
  event: Fossils
  place: 3
- team: 12
  event: Meteorology
  place: 3
- team: 12
  event: Microbe Mission
  place: 2
- team: 12
  event: Scrambler
  place: 2
- team: 12
  event: Tower
  place: 10
- team: 12
  event: Wind Power
  place: 11
- team: 13
  event: Air Trajectory
  place: 2
- team: 13
  event: Anatomy and Physiology
  place: 7
- team: 13
  event: Disease Detectives
  place: 5
- team: 13
  event: Dynamic Planet
  place: 7
- team: 13
  event: Entomology
  place: 7
- team: 13
  event: Experimental Design
  place: 7
- team: 13
  event: Fossils
  place: 8
- team: 13
  event: Meteorology
  place: 2
- team: 13
  event: Microbe Mission
  place: 5
- team: 13
  event: Scrambler
  place: 6
- team: 13
  event: Tower
  place: 11
- team: 13
  event: Wind Power
  place: 7
